+++
title = "What is RAID?"
description = "RAID stands for 'Redundant Array of [Independent/Inexpensive] Disks'"
weight = 1
type = "post"
class="post first"
+++

RAID is a common technique to provide _resiliency_ and _availability_ to a set of data and protect against one of the most common data loss scenarios: the failure of a disk.

The simplest type of RAID is a 'mirror', which keeps two or more copies of data on two or more different disks. If one disk fails, the second copy is still available and no data loss has occurred. You would usually see this for system disks in uptime-critical servers.

There also exist more advanced modes, the most common of which are RAID-5 and RAID-6, and consists of 3-4 or more disks with data stripped (written sequentially), along with parity information, across all disks.

It's worth noting that a pure 'stripe', also called RAID-0, is not really a RAID level - it *increases* the risk of data loss rather than decreasing it, since one disk failure destroys the whole array. It should never be used for redundancy or any critical data.

The [Wikipedia page for RAID](http://en.wikipedia.org/wiki/RAID) provides some helpful information about the history and benefits of the various RAID implementations.
